質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.03%

さくらのレンタルサーバーでpipインストールしようとすると、エラーになる

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,286

takeshi3156

score 8

前提・実現したいこと

さくらのレンタルサーバーで、MezzanineというPython製CMSのデプロイを行おうとしています。
そのために、Djangoのデプロイ環境を構築しています。
その過程で、fabricをpip経由でインストールしようとしたのですが、下記のエラーが出てインストールできません。
pyenvとvirtualenvで仮想環境を構築し、仮想環境の中にインストールしようとしています。

当方PythonもSHELLの扱いも初心者です。
ご教示いただけると幸いです。

環境

・使用マシンはWindows10
・さくらのレンタルサーバーはスタンダートプラン
・さくらのレンタルサーバーの仮想環境の中で使用しているPythonのバージョンは、2.7.9

発生している問題・エラーメッセージ

Command "python setup.py egg_info" failed with error code 1 in /home/******/tmp/pip-build-ZDb_n0/pynacl/

該当のソースコード

pip install fabric

試したこと

・pipのPATHが通っていることを確認
・setuptoolsのupgrade(pip install --upgrade setuptools)
・ez_setupのインストール(pip install ez_setup)
https://stackoverflow.com/questions/35991403/python-pip-install-gives-command-python-setup-py-egg-info-failed-with-error-c

補足情報(言語/FW/ツール等のバージョンなど)

さくらのレンタルサーバーのSHELLでは、Bashを使用。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • CHERRY

    2017/11/19 18:57

    エラーメッセージは、これ1行だけですか? この前にも情報メッセージが色々出ていなかったでしょうか?

    キャンセル

  • takeshi3156

    2017/11/19 19:13 編集

    以下のようなエラーコードが吐き出されています。
    (長いので、割愛していました…)
    フォルダ名は一部マスキングしています。

    キャンセル

  • takeshi3156

    2017/11/19 19:13

    Traceback (most recent call last): File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/unixccompiler.py", line 118, in _compile extra_postargs) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/ccompiler.py", line 909, in spawn spawn(cmd, dry_run=self.dry_run) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/spawn.py", line 36, in spawn _spawn_posix(cmd, search_path, dry_run=dry_run) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/spawn.py", line 159, in _spawn_posix % (cmd, exit_status)) distutils.errors.DistutilsExecError: command 'gcc' failed with exit status 1 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/core.py", line 148, in setup dist.run_commands() File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/dist.py", line 955, in run_commands self.run_command(cmd) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/dist.py", line 974, in run_command cmd_obj.run() File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/bdist_egg.py", line 161, in run cmd = self.call_command('install_lib', warn_dir=0) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/bdist_egg.py", line 147, in call_command self.run_command(cmdname) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/cmd.py", line 313, in run_command self.distribution.run_command(command) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/dist.py", line 974, in run_command cmd_obj.run() File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/install_lib.py", line 11, in run self.build() File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/command/install_lib.py", line 107, in build self.run_command('build_ext') File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/cmd.py", line 313, in run_command self.distribution.run_command(command) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/dist.py", line 974, in run_command cmd_obj.run() File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/build_ext.py", line 75, in run _build_ext.run(self) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/command/build_ext.py", line 339, in run self.build_extensions() File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/command/build_ext.py", line 448, in build_extensions self._build_extensions_serial() File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/command/build_ext.py", line 473, in _build_extensions_serial self.build_extension(ext) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/build_ext.py", line 196, in build_extension _build_ext.build_extension(self, ext) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/command/build_ext.py", line 533, in build_extension depends=ext.depends) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/ccompiler.py", line 574, in compile self._compile(obj, src, ext, cc_args, extra_postargs, pp_opts) File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/unixccompiler.py", line 120, in _compile raise CompileError(msg) distutils.errors.CompileError: command 'gcc' failed with exit status 1 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 157, in save_modules yield saved File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 198, in setup_context yield File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 248, in run_setup DirectorySandbox(setup_dir).run(runner) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 278, in run return func() File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 246, in runner _execfile(setup_script, ns) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 47, in _execfile exec(code, globals, locals) File "/home/***/tmp/easy_install-z1muexc0/cffi-1.11.2/setup.py", line 236, in <module> }, File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/core.py", line 163, in setup raise SystemExit("error: " + str(msg)) SystemExit: error: command 'gcc' failed with exit status 1 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 1101, in run_setup run_setup(setup_script, args) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 251, in run_setup raise File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/contextlib.py", line 99, in __exit__ self.gen.throw(type, value, traceback) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 198, in setup_context yield File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/contextlib.py", line 99, in __exit__ self.gen.throw(type, value, traceback) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 169, in save_modules saved_exc.resume() File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 144, in resume six.reraise(type, exc, self._tb) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/pkg_resources/_vendor/six.py", line 685, in reraise raise value.with_traceback(tb) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 157, in save_modules yield saved File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 198, in setup_context yield File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 248, in run_setup DirectorySandbox(setup_dir).run(runner) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 278, in run return func() File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 246, in runner _execfile(setup_script, ns) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/sandbox.py", line 47, in _execfile exec(code, globals, locals) File "/home/***/tmp/easy_install-z1muexc0/cffi-1.11.2/setup.py", line 236, in <module> }, File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/core.py", line 163, in setup raise SystemExit("error: " + str(msg)) SystemExit: error: command 'gcc' failed with exit status 1 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<string>", line 1, in <module> File "/home/***/tmp/pip-build-iv_r04ir/pynacl/setup.py", line 248, in <module> "Programming Language :: Python :: 3.6", File "/home/***/.pyenv/versions/3.6.3/lib/python3.6/distutils/core.py", line 108, in setup _setup_distribution = dist = klass(attrs) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/dist.py", line 315, in __init__ self.fetch_build_eggs(attrs['setup_requires']) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/dist.py", line 361, in fetch_build_eggs replace_conflicting=True, File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/pkg_resources/__init__.py", line 850, in resolve dist = best[req.key] = env.best_match(req, ws, installer) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1122, in best_match return self.obtain(req, installer) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1134, in obtain return installer(requirement) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/dist.py", line 429, in fetch_build_egg return cmd.easy_install(req) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 665, in easy_install return self.install_item(spec, dist.location, tmpdir, deps) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 695, in install_item dists = self.install_eggs(spec, download, tmpdir) File "/home/***/.pyenv/versions/3.6.3/envs/deploy-test/lib/python3.6/site-package

    キャンセル

回答 1

checkベストアンサー

+1

pynaclのインストール中に

distutils.errors.CompileError: command 'gcc' failed with exit status 1

と出てますね。pynaclはlibsodiumへのバインディングのようなので、libsodium-devやlibsodium-develパッケージがインストールされてないとpynaclのビルドにコケるんじゃないかと推測します。

と、思ったのですがどうも違うようです。以下にlibsodiumはバンドルされていると書いてました。

https://github.com/pyca/pynacl/blob/master/INSTALL.rst

兎にも角にもpynaclやfabricの直接の依存ライブラリであるparamiko辺りをpip installしてみて、そこを地道に解決していくと良いと思います。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/19 21:51

    ご回答ありがとうございます。
    paramikoもpip installしてみたのですが、同じようなエラーが表示されました…
    レンタルサーバーでは、ルート権限がないので、そもそも無理なのかもしれません。

    キャンセル

  • 2017/11/20 09:30

    ルート権限がないなら仮想環境中で試すのもありかもしれません。
    ルート権限がないから仮想環境を利用するというのも仮想環境のメリットの一つなので

    キャンセル

  • 2017/11/20 20:08

    仮想環境も試してみたのですが、結局エラーが出たので、断念しました…
    Fabricのインストールも仮想環境下で行ったのですが、無理でした…

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.03%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る